Package org.kapott.hbci.GV.parsers

# Class ParsePain00800110

java.lang.Object
org.kapott.hbci.GV.parsers.AbstractSepaParser<List<Properties>>
org.kapott.hbci.GV.parsers.ParsePain00800110

All Implemented Interfaces:
  `ISEPAParser<List<Properties>>`

public class ParsePain00800110 extends AbstractSepaParser<List<Properties>>
Parser-Implementierung fuer Pain 008.001.10.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.kapott.hbci.GV.parsers.ISEPAParser

`ISEPAParser.Names`

## Constructor Summary

Constructors
Constructor
Description
`ParsePain00800110()`

## Method Summary

Modifier and Type
Method
Description
`void`
`parse(InputStream xml, List<Properties> sepaResults)`
Parst SEPA-XML-Daten aus dem Stream und schreib die Ergebnisse in die Liste von Properties-Objekten.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ParsePain00800110

public ParsePain00800110()

## Method Details

### parse

public void parse(InputStream xml, List<Properties> sepaResults)
Description copied from interface: `ISEPAParser`
Parst SEPA-XML-Daten aus dem Stream und schreib die Ergebnisse in die Liste von Properties-Objekten.

Parameters:
  `xml` - der Stream mit den XML-Daten.
  `sepaResults` - das Zielobjekt, in das die Daten gelesen werden.
See Also:
  - `ISEPAParser.parse(java.io.InputStream, java.lang.Object)`